org.keycloak.models

## Interface UserModel

- All Known Implementing Classes:
    ReadonlyLDAPUserModelDelegate, ReadonlyUserModelProxy, UnsyncedLDAPUserModelDelegate, UserAdapter, UserAdapter, UserAdapter, UserModelDelegate, WritableLDAPUserModelDelegate, WritableUserModelProxy

      public interface UserModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `UserModel.RequiredAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMAIL`
    `static String` | `FIRST_NAME`
    `static String` | `LAST_NAME`
    `static String` | `USERNAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(UserModel.RequiredAction action)`
    `void` | `deleteRoleMapping(RoleModel role)`
    `Set<RoleModel>` | `getApplicationRoleMappings(ApplicationModel app)`
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `List<UserCredentialValueModel>` | `getCredentialsDirectly()`
    `String` | `getEmail()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `Set<RoleModel>` | `getRealmRoleMappings()`
    `Set<UserModel.RequiredAction>` | `getRequiredActions()`
    `Set<RoleModel>` | `getRoleMappings()`
    `String` | `getUsername()`
    `void` | `grantRole(RoleModel role)`
    `boolean` | `hasRole(RoleModel role)`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `removeAttribute(String name)`
    `void` | `removeRequiredAction(UserModel.RequiredAction action)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean verified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFederationLink(String link)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setTotp(boolean totp)`
    `void` | `setUsername(String username)`
    `void` | `updateCredential(UserCredentialModel cred)`
    `void` | `updateCredentialDirectly(UserCredentialValueModel cred)`

- - ### Field Detail

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### LAST_NAME

          static final String LAST_NAME

      See Also:
        Constant Field Values

    - #### FIRST_NAME

          static final String FIRST_NAME

      See Also:
        Constant Field Values

    - #### EMAIL

          static final String EMAIL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

    - #### getUsername

          String getUsername()

    - #### setUsername

          void setUsername(String username)

    - #### isEnabled

          boolean isEnabled()

    - #### isTotp

          boolean isTotp()

    - #### setEnabled

          void setEnabled(boolean enabled)

    - #### setAttribute

          void setAttribute(String name,
                          String value)

    - #### removeAttribute

          void removeAttribute(String name)

    - #### getAttribute

          String getAttribute(String name)

    - #### getAttributes

          Map<String,String> getAttributes()

    - #### getRequiredActions

          Set<UserModel.RequiredAction> getRequiredActions()

    - #### addRequiredAction

          void addRequiredAction(UserModel.RequiredAction action)

    - #### removeRequiredAction

          void removeRequiredAction(UserModel.RequiredAction action)

    - #### getFirstName

          String getFirstName()

    - #### setFirstName

          void setFirstName(String firstName)

    - #### getLastName

          String getLastName()

    - #### setLastName

          void setLastName(String lastName)

    - #### getEmail

          String getEmail()

    - #### setEmail

          void setEmail(String email)

    - #### isEmailVerified

          boolean isEmailVerified()

    - #### setEmailVerified

          void setEmailVerified(boolean verified)

    - #### setTotp

          void setTotp(boolean totp)

    - #### updateCredential

          void updateCredential(UserCredentialModel cred)

    - #### getCredentialsDirectly

          List<UserCredentialValueModel> getCredentialsDirectly()

    - #### updateCredentialDirectly

          void updateCredentialDirectly(UserCredentialValueModel cred)

    - #### getRealmRoleMappings

          Set<RoleModel> getRealmRoleMappings()

    - #### getApplicationRoleMappings

          Set<RoleModel> getApplicationRoleMappings(ApplicationModel app)

    - #### hasRole

          boolean hasRole(RoleModel role)

    - #### grantRole

          void grantRole(RoleModel role)

    - #### getRoleMappings

          Set<RoleModel> getRoleMappings()

    - #### deleteRoleMapping

          void deleteRoleMapping(RoleModel role)

    - #### getFederationLink

          String getFederationLink()

    - #### setFederationLink

          void setFederationLink(String link)

Copyright © 2014. All Rights Reserved.